<?php



	class RSS{

		

		public $cookies;

		public $userAgents;

		public $request;

		

		function __construct( $request ) {

			

			$this->request = $request;

			

			//create and save cookie

			$cookie_render = new  cookieRender;

			$cookie_render->CreateCookie();



			//get array cookie and user agent from txt file

			$this->cookies = array_filter(explode("\n", file_get_contents('list-cookies.txt')));

			$this->userAgents = array_filter(explode("\n", file_get_contents('list-user-agent.txt')));

			

			foreach (get_defined_constants() as $name => $val) {

				if (strpos($name, 'CURLOPT_') === 0) {

					$this->curl_opts[]= $name;

				}

			}

			

		}

		

		public function process(){

			

			if( file_exists('cookies.txt') ){

				unlink('cookies.txt');

			}			



			if($this->request->url == '') {



				$this->output(array());



			}

			

				

			$html = $this->request->getPage();

			

			$items = $this->parse( $html );			

			

			$this->output($items);



		}

		

		

		public function parse( $html ){



			$items = array();



			try{

				

				libxml_use_internal_errors(true);

				

				$dom = new DomDocument();

				

				$dom->loadHTML($html);



				// use xpath for easier dome querieing

				$xpath = new DomXPath($dom);

				

				$nodes = $xpath->query("//*[contains(concat(' ', normalize-space(@class), ' '), ' widget-single-item-detailed-top-info ')]");

				

				foreach( $nodes as $key => $node ){

					

					$string = $node->ownerDocument->saveHTML($node);

					

					$domNode = new DomDocument();

					

					$domNode->loadHTML($string);

					

					$nodePath = new DomXPath($domNode);

					

					$name = $nodePath->query('//span[@class="hottrends-single-trend-title ellipsis-maker-inner"]')->item(0);

					$value = $nodePath->query('//span[@class="hottrends-single-trend-info-line-number"]')->item(0);

					

					$items[]= array(

						'title'    => $name->nodeValue,

						'category' => $value->nodeValue

					);

				}



			}



			catch(Exception $e) {



				$this->errors[] = array(



					'message' => $e->getMessage(),



				);



			}

			

			return $items;



		}

		

		public function output($items){

			header('Content-Type: application/xml; charset=utf-8');

			$rss = '<?xml version="1.0" encoding="utf-8" ?><rss version="2.0"><channel><title>Hot Google searches</title><link>http://example.com</link><description>Description</description><language>en</language>';

			

			foreach($items as $item) {

				$rss.= '<item><title>' . $item['title'] . '</title><category>' . $item['category'] . '</category></item>' . "\r\n";

			}

			$rss.= '</channel></rss>';

			die( $rss );



		}

		

	}